#
# spec file for package perl-Nagios-Plugin
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         cpan_name Nagios-Plugin

Name:           perl-%cpan_name
Version:        0.36
Release:        10.30
Summary:        A family of perl modules to streamline writing Nagios plugins
License:        Artistic-1.0 or GPL-2.0+
Group:          Development/Languages/Perl
Url:            http://search.cpan.org/perldoc?Nagios%3A%3APlugin
Source:         %cpan_name-%{version}.tar.gz
Patch0:         perl522.patch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(Math::Calc::Units)
BuildRequires:  perl(Params::Validate)
Requires:       perl(Class::Accessor)
Requires:       perl(Config::Tiny)
Requires:       perl(Math::Calc::Units)
Requires:       perl(Params::Validate)
Provides:       %cpan_name = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%perl_requires

%description
Nagios::Plugin and its associated Nagios::Plugin::* modules are a family of
perl modules to streamline writing Nagios plugins. The main end user modules
are Nagios::Plugin, providing an object-oriented interface to the entire
Nagios::Plugin::* collection, and Nagios::Plugin::Functions, providing a
simpler functional interface to a useful subset of the available functionality.

The purpose of the collection is to make it as simple as possible for
developers to create plugins that conform the Nagios Plugin guidelines
(http://nagiosplug.sourceforge.net/developer-guidelines.html).

%prep
%setup -q -n %cpan_name-%{version}
%patch0 -p2

%build
perl Makefile.PL OPTIMIZE="%{optflags} -Wall"
make %{?_smp_mflags}

%if 0%{?suse_version} >= 1010
%check
make test
%endif

%install
%perl_make_install
%perl_process_packlist

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Nagios
%{perl_vendorarch}/auto/Nagios

%changelog
* Thu Aug 27 2015 hsk@imb-jena.de
- perl522.patch: fix test to work with perl-5.22
* Tue Sep 23 2014 lars@linux-schulserver.de
- fix Url
* Tue Mar 26 2013 coolo@suse.com
- fix license
* Tue Jan 15 2013 lars@linux-schulserver.de
- specfile cleanup
- use perl generated dependencies instead of package names
* Thu Dec 29 2011 lars@linux-schulserver.de
- update to 0.36:
  + Updated check_threshold to allow multiple check
    values to be checked at once
* Thu Dec 16 2010 vcizek@novell.com
- switch to  %%perl_requires macro
* Sat Dec 11 2010 lars@linux-schulserver.de
- update to 0.35:
  + fixed performance parsing and general data handling
  + die if default config file is not available and --extra-opts
    is set
  + Added %%STATUS_TEXT to valid possible exports
  + fixed test and pod failures
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Dec  4 2008 lrupp@suse.de
- update to 0.28
* Fri Jun  6 2008 gerrit.beine@gmx.de
- update to version 0.27
* Thu Mar 20 2008 gerrit.beine@gmx.de
- update to version 0.25
* Sat Feb 16 2008 gerrit.beine@googlemail.com
- update to version 0.24
* Fri Jan 18 2008 gerrit.beine@googlemail.com
- moved to openSUSE Build Service
* Wed Dec  5 2007 gerrit@beine-computer.de
- first release 0.21
